#! /bin/csh

setenv WFCAMLOG /remote/mb53b/motohara/2005-04-14-WFCAM.log
setenv WFCAMDATA /remote/mb53b/motohara
setenv WFCAMDATE 20050414
setenv MASKRADIUS 8
#setenv ALLSTART 208
#setenv ALLHEAD sdf1

set N=36

set HEAD=${ALLHEAD}a; set START=$ALLSTART
./skyflat.sh ${HEAD} ${DNO} $START $N
\cp ${HEAD}_skyflat${DNO}.fits flat.fits
./obj.sh ${HEAD} ${DNO} $START $N
./mask.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}a; set START=$ALLSTART
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}b; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}c; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}d; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}e; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}f; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}g; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}h; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}i; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

set HEAD=${ALLHEAD}j; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
./objsubcombine1.sh ${HEAD} ${DNO} $START $N

./objsubcombine2.sh ${HEAD} ${DNO} $ALLSTART 360 36 

./cleanup.sh
